On Tue, 6 Mar 2018, Frédéric Falsetti wrote:

I have the same here,
the install of qgis-2.18.16-i586-1_SBo worked fine me


ff,

  I'm trying to upgrade from 2.18.15 to 2.18.17. One problem I solved was
the loss of gdal and libLAS when I upgraded the kernel to 4.4.118. For some
reason the latest flurry of kernel upgrades remove the libraries or
executables of some files while the packages are still shown as installed.
So, a re-installation of gdal fixed that.

  Now I have another issue (along with a question about compile-time
options).

  In the qgis.SlackBuild script I have these set:

WITHGRASS="yes"
if pkg-config --exists grass; then
  WITHGRASS="-DGRASS_PREFIX=$(pkg-config --variable=prefix grass)"
fi

WITHSERVER="-DWITH_SERVER=FALSE"
CGIBINDIR="${CGIBINDIR:-/var/www/cgi-bin/qgis}"
if [ "${SERVER:-no}" = "yes" ]; then
  WITHSERVER="-DWITH_SERVER=TRUE -DQGIS_CGIBIN_SUBDIR=$CGIBINDIR"
fi

WITHNINJA="yes"
if [ "${NINJA:-no}" = "yes" ]; then
  WITHNINJA="-GNinja"
fi

  And I do not see where to add support for postgres and postgis in the
script. It's not on Ben's SBo gdal page, either.

  So, setting grass and ninja to 'yes' produces this error:

...
qgis-2.18.17/tools/
qgis-2.18.17/tools/qgis-qt3to4.pl
patching file src/providers/arcgisrest/CMakeLists.txt
CMake Error: The source directory "/opt/SBo/qgis-2.18.17/build/yes" does not 
exist.
Specify --help for usage, or press the help button on the CMake GUI.

  This must be a syntax error I made specifying inclusion of grass and ninja
so I would appreciate learning how to correctly do this.

TIA,

Rich
_______________________________________________
SlackBuilds-users mailing list
SlackBuilds-users@slackbuilds.org
https://lists.slackbuilds.org/mailman/listinfo/slackbuilds-users
Archives - https://lists.slackbuilds.org/pipermail/slackbuilds-users/
FAQ - https://slackbuilds.org/faq/

Reply via email to